org.apache.ignite.internal.processors.rest.request

## Class GridRestClusterStateRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestClusterStateRequest

    public class GridRestClusterStateRequest
    extends GridRestRequest

### Field Summary

Fields
`static String` `ARG_FORCE` Flag of forced cluster deactivation.

### Constructor Summary

Constructors
Constructor and Description
`GridRestClusterStateRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `forceDeactivation()`
`void` `forceDeactivation(boolean forceDeactivation)`
`boolean` `isReqCurrentMode()`
`void` `reqCurrentMode()`
`ClusterState` `state()`
`void` `state(ClusterState state)` Sets new cluster state to request.

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, authorizationContext, authorizationContext, certificates, certificates, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken, toString, userAttributes, userAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ARG_FORCE

    public static final String ARG_FORCE

Flag of forced cluster deactivation.

See Also:
  Constant Field Values

### Constructor Detail

#### GridRestClusterStateRequest

    public GridRestClusterStateRequest()

### Method Detail

#### forceDeactivation

    public void forceDeactivation(boolean forceDeactivation)

Parameters:
  `forceDeactivation` - If `true`, cluster deactivation will be forced.

#### reqCurrentMode

    public void reqCurrentMode()

#### isReqCurrentMode

    public boolean isReqCurrentMode()

#### forceDeactivation

    public boolean forceDeactivation()

Returns:
  `True` if cluster deactivation will be forced. `False` otherwise.
See Also:
  `ClusterState.INACTIVE`

#### state

    public ClusterState state()

#### state

    public void state(ClusterState state)

Sets new cluster state to request.

Parameters:
  `state` - New cluster state.
Throws:
  `NullPointerException` - If `state` is null.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020